import request from '@/utils/request'

// 查询问答列表
export function listLiveQuestion(query) {
  return request({
    url: '/live/liveQuestion/list',
    method: 'get',
    params: query
  })
}

// 查询问答详细
export function getLiveQuestion(questionId) {
  return request({
    url: '/live/liveQuestion/' + questionId,
    method: 'get'
  })
}

// 新增问答
export function addLiveQuestion(data) {
  return request({
    url: '/live/liveQuestion',
    method: 'post',
    data: data
  })
}

// 修改问答
export function updateLiveQuestion(data) {
  return request({
    url: '/live/liveQuestion',
    method: 'put',
    data: data
  })
}

// 删除问答
export function delLiveQuestion(questionId) {
  return request({
    url: '/live/liveQuestion/' + questionId,
    method: 'delete'
  })
}

// 导出问答
export function exportLiveQuestion(query) {
  return request({
    url: '/live/liveQuestion/export',
    method: 'get',
    params: query
  })
}